﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormLogic
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {

        }

        private void btnCalculate_Click(object sender, EventArgs e)
        {
            try
            {
                var a = Logic.CalculateFormula.IsTotology(txtInput.Text);
                if(a.Item1)
                {
                    MessageBox.Show($"{txtInput.Text} is always true", "همانگو");
                }
                else
                {
                    MessageBox.Show($"{txtInput.Text} is false for : {a.Item2}", "همانگو نیست");
                }
            }
            catch(Exception ex)
            {
                MessageBox.Show("ورودی نا معتبر");
                txtInput.Text = "";
            }
        }

        private void btnAnd_Click(object sender, EventArgs e)
        {
            var a = txtInput.SelectionStart;
            txtInput.Text = txtInput.Text.Insert(txtInput.SelectionStart,"&");
            txtInput.SelectionStart = a + 1;
        }

        private void btnOr_Click(object sender, EventArgs e)
        {
            var a = txtInput.SelectionStart;
            txtInput.Text = txtInput.Text.Insert(txtInput.SelectionStart, "|");
            txtInput.SelectionStart = a + 1;
        }

        private void btnNot_Click(object sender, EventArgs e)
        {
            var a = txtInput.SelectionStart;
            txtInput.Text = txtInput.Text.Insert(txtInput.SelectionStart, "!");
            txtInput.SelectionStart = a + 1;
        }

        private void btnThen_Click(object sender, EventArgs e)
        {
            var a = txtInput.SelectionStart;
            txtInput.Text = txtInput.Text.Insert(txtInput.SelectionStart, ">");
            txtInput.SelectionStart = a + 1;
        }

        private void btnBut_Click(object sender, EventArgs e)
        {
            var a = txtInput.SelectionStart;
            txtInput.Text = txtInput.Text.Insert(txtInput.SelectionStart, "B");
            txtInput.SelectionStart = a + 1;
        }

        private void btnTrue_Click(object sender, EventArgs e)
        {
            var a = txtInput.SelectionStart;
            txtInput.Text = txtInput.Text.Insert(txtInput.SelectionStart, "T");
            txtInput.SelectionStart = a + 1;
        }

        private void btnEqual_Click(object sender, EventArgs e)
        {
            var a = txtInput.SelectionStart;
            txtInput.Text = txtInput.Text.Insert(txtInput.SelectionStart, "=");
            txtInput.SelectionStart = a + 1;
        }

        private void linkLabel1_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            var str = @"گزاره مورد نظر را وارد کرده و محاسبه را بزنید
معادل اوپراتور های منطقی عبارتند از 
And &
Or |
Not !
Then >
If Only If =
But B
!B : T
Atomics  : Positive Numbers {1,2,3 , . . .}

Example : (1>2)=(!1|2)   for (A=>B) <=> (!A|B)

برنامه نویس : مجتبی گودرزی
m.goodarzi.73@ut.ac.ir

استاد راهنما : دکتر مجتهدی";
            MessageBox.Show(str);

        }

        private void txtInput_KeyPress(object sender, KeyPressEventArgs e)
        {
            if(e.KeyChar == (char)13)
                btnCalculate.PerformClick();
        }

        private void txtInput_TextChanged(object sender, EventArgs e)
        {
            txtInput.Focus();
        }
    }
}
